/*
 * @Author: Kane
 * @Date: 2022-04-24 10:21:46
 * @LastEditors: Kane
 * @LastEditTime: 2022-05-10 16:16:28
 * @FilePath: \DisasterWarning\src\main\java\com\cpic\xim\config\WeatherDisasterNotifyConfig.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.config;

import java.util.Vector;

import com.fasterxml.jackson.annotation.JsonProperty;


public class WeatherDisasterNotifyConfig
{

    public WeatherDisasterNotifyConfig()
    {};

    public String getTitle()
    {
        return title;
    }

    public void setTitle( String title )
    {
        this.title = title;
    }

    public String getKey()
    {
        return key;
    }

    public void setKey( String key )
    {
        this.key = key;
    }

    public String getQueryUrl()
    {
        return queryUrl;
    }

    public void setQueryUrl( String queryUrl )
    {
        this.queryUrl = queryUrl;
    }

    public Vector<City> getCities()
    {
        return cities;
    }


    public int getQueryInterval()
    {
        return queryInterval;
    }

    public void setQueryInterval( int queryInterval )
    {
        this.queryInterval = queryInterval;
    }


    public void setCities( Vector<City> cities )
    {
        this.cities = cities;
    }

    public Vector<CpicxmStuff> getNotifyStuffs()
    {
        return notifyStuffs;
    }

    public void setNotifyStuffs( Vector<CpicxmStuff> notifyStuffs )
    {
        this.notifyStuffs = notifyStuffs;
    }

    public String getWechatOfficalAccountURL()
    {
        return wechatOfficalAccountURL;
    }

    public void setWechatOfficalAccountURL( String wechatOfficalAccountURL )
    {
        this.wechatOfficalAccountURL = wechatOfficalAccountURL;
    }

    @JsonProperty( "title")
    private String title;

    @JsonProperty( "key")
    private String key;

    @JsonProperty( "query_url")
    private String queryUrl;

    @JsonProperty( "query_interval")
    private int queryInterval;

    @JsonProperty( "wechat_officalaccount_url")
    private String wechatOfficalAccountURL;

    @JsonProperty( "cities")
    private Vector<City> cities;

    @JsonProperty( "notify_stuffs")
    private Vector<CpicxmStuff> notifyStuffs;
}
